<?php
require_once("ajax_preload.php");

if ($httpreferer){
  if ($ajax_db->getErrorCode()==1){
    die;
  }else{

    $gep=$_REQUEST["gep"];
    $forgalmi=$_REQUEST["from"];
    $datum = substr($_REQUEST["datum"],0,10);

  if (@checkdate(substr($datum,5,2),substr($datum,8,2),substr($datum,0,4)) and (substr($datum,4,1)=="-" and substr($datum,7,1)=="-")){

	$datum.=' '.date("H:i:s");

	if ($_REQUEST["to"]==''){
	  $dolgozo=0;
	}else{
	  $dolgozo=$_REQUEST["to"];
	}

	$statusz=$_REQUEST["statusz"];

	$jegysorszam=$_REQUEST["jegysorszam"];
	$jegysorszam=htmlspecialchars($jegysorszam);   
	$jegysorszam=iconv("UTF-8","iso-8859-2//TRANSLIT//IGNORE",$jegysorszam);

	$bizonylat=$_REQUEST["bizonylat"];
	$bizonylat=htmlspecialchars($bizonylat);   
	$bizonylat=iconv("UTF-8","iso-8859-2//TRANSLIT//IGNORE",$bizonylat);
	  
	$hibajelenseg=$_REQUEST["hibajelenseg"];
	$hibajelenseg=htmlspecialchars($hibajelenseg);
	$hibajelenseg=iconv("UTF-8","iso-8859-2//TRANSLIT//IGNORE",$hibajelenseg);

	$jogep=getKiadhatoGep($ajax_db,$gep);
	if ($jogep){
	  $sql="INSERT INTO pg_gepnaplo (datum, id_pg_dolgozok, id_pg_dolgozok_atadva, id_pg_gepek) 
		VALUES ('".$datum."', ".$dolgozo.", ".$forgalmi.", ".$gep.")";
	  $id_pg_gepnaplo=$ajax_db->insertOne($sql);
	    if ($id_pg_gepnaplo>0){
	      if ($statusz==3){

		  $sql=sprintf("INSERT INTO pg_hibanaplo (id_pg_gepnaplo,id_pg_gepek, hibajelenseg, id_pg_dolgozok_lezart, id_pg_dolgozok_nyitott, jegysorszam, atvett) 
			VALUES ('".$id_pg_gepnaplo."','".$gep."', '%s', '0', '0', '%s', '0')",
			mysql_real_escape_string($hibajelenseg),
			mysql_real_escape_string($jegysorszam));

		  $id_pg_hibanaplo=$ajax_db->insertOne($sql);
		  if ($id_pg_hibanaplo>0){

		    $sql=sprintf("INSERT INTO pg_hsnaplo (`id_pg_hibanaplo`, `id_pg_statusz`, `bizonylat_szam`, `datum`, `jegysorszam`) 
			  VALUES ('".$id_pg_hibanaplo."', '".$statusz."', '%s', '".$datum."', '%s')",
			  mysql_real_escape_string($bizonylat),
			  mysql_real_escape_string($jegysorszam));

		    $pg_hsnaplo=$ajax_db->insertOne($sql);
		    if ($pg_hsnaplo>0){  	
		      $sql="UPDATE pg_gepek SET id_pg_statusz='".$statusz."', id_pg_dolgozok='".$forgalmi."' where id_pg_gepek='".$gep."'";
		      $update_gepek=$ajax_db->updateOne($sql);
		      if ($update_gepek){
			$content_popup=$config->getValue("gep_rosszkent","");   
		      }else{
			$content_popup="pg_hsnaplo".$config->getValue("gep_vissza_nemsikerult","");   
		      }
		    }else{
		      $content_popup="pg_hsnaplo".$config->getValue("gep_vissza_nemsikerult","");           
		    }
		  }else{
		    $content_popup="pg_hibanaplo".$config->getValue("gep_vissza_nemsikerult","");   
		  }
	      }else{
          $sql="UPDATE pg_gepek SET id_pg_dolgozok='".$forgalmi."' where id_pg_gepek='".$gep."'";
		      $update_gepek=$ajax_db->updateOne($sql);
		      if ($update_gepek){
		        $content_popup=$config->getValue("gep_visszaveve","");
		      }
	      }
	    }else{
	      $content_popup=$config->getValue("gep_vissza_nemsikerult","");   
	    }
	}else{
	  $content_popup=$config->getValue("gep_marrosszkent","");
	}

  }else{
    $content_popup=$config->getValue("datumhiba","");
  }

    $ajax_page->setTag("content_popup", $content_popup);
    $ajax_page->AppendTag("content", $ajax_page->getAppropriateTemplate($config->getValue("templates_path","")."/popup.tmpl.php"));
    
    $ajax_page->out();
  }
}
?>